Spotify Podcast API

Get Spotify podcast

1 creditper request
GET
/v1/spotify/podcast
curl "https://api.scrapecreators.com/v1/spotify/podcast" \
  -H "x-api-key: "
{
  "success": true,
  "credits_remaining": 49997232014,
  "id": "3mliji9352UAk3XnWElnDV",
  "uri": "spotify:show:3mliji9352UAk3XnWElnDV",
  "__typename": "Podcast",
  "accessInfo": null,
  "consumptionOrderV2": "RECENT",
  "contentCapabilityTrait": {
    "rateability": {
      "value": "RESTRICTED"
    }
  },
  "contentRatingV2": {
    "labels": [
      "EXPLICIT"
    ]
  },
  "contentType": "CONTENT_TYPE_PODCAST",
  "coverArt": {
    "sources": [
      {
        "height": 64,
        "url": "https://i.scdn.co/image/ab6765630000f68d35af1b9c3ee719329f85f229",
        "width": 64
      },
      {
        "height": 300,
        "url": "https://i.scdn.co/image/ab67656300005f1f35af1b9c3ee719329f85f229",
        "width": 300
      },
      {
        "height": 640,
        "url": "https://i.scdn.co/image/ab6765630000ba8a35af1b9c3ee719329f85f229",
        "width": 640
      }
    ]
  },
  "description": "Sam Parr and Shaan Puri brainstorm new business ideas based on trends & opportunities they see in the market. Sometimes they bring on famous guests to brainstorm with them.",
  "episodesV2": [
    {
      "entity": {
        "__typename": "EpisodeResponseWrapper",
        "data": {
          "__typename": "Episode",
          "creator": null,
          "uri": "spotify:episode:3rvl30aWNqZbWi9dnolG3a"
        }
      }
    }
  ],
  "gatedEntityRelations": [],
  "htmlDescription": "<p>Sam Parr and Shaan Puri brainstorm new business ideas based on trends &amp; opportunities they see in the market. Sometimes they bring on famous guests to brainstorm with them.</p>",
  "mediaType": "MIXED",
  "musicAndTalk": false,
  "name": "My First Million",
  "playability": {
    "playable": true,
    "reason": "PLAYABLE",
    "unplayabilityReasons": []
  },
  "publisher": {
    "name": "Hubspot"
  },
  "rating": {
    "averageRating": {
      "average": 4.781243982283851,
      "showAverage": true,
      "totalRatings": 5193
    },
    "canRate": true,
    "rating": {
      "rating": 0
    }
  },
  "saved": false,
  "sharingInfo": {
    "shareId": "lSCdV7bhQ7CO4dDMM691rA",
    "shareUrl": "https://open.spotify.com/show/3mliji9352UAk3XnWElnDV?si=lSCdV7bhQ7CO4dDMM691rA"
  },
  "showTypes": [],
  "topics": [
    {
      "__typename": "PodcastTopic",
      "title": "Business",
      "uri": "spotify:genre:0JQ5DAqbMKFK0EBNV8Wn6R"
    }
  ],
  "trailerV2": null,
  "visualIdentity": {
    "sixteenByNineCoverImage": null,
    "squareCoverImage": {
      "__typename": "VisualIdentityImage",
      "extractedColorSet": {
        "encoreBaseSetTextColor": {
          "alpha": 255,
          "blue": 187,
          "green": 187,
          "red": 187
        },
        "highContrast": {
          "backgroundBase": {
            "alpha": 255,
            "blue": 72,
            "green": 72,
            "red": 72
          },
          "backgroundTintedBase": {
            "alpha": 255,
            "blue": 33,
            "green": 33,
            "red": 33
          },
          "textBase": {
            "alpha": 255,
            "blue": 255,
            "green": 255,
            "red": 255
          },
          "textBrightAccent": {
            "alpha": 255,
            "blue": 255,
            "green": 255,
            "red": 255
          },
          "textSubdued": {
            "alpha": 255,
            "blue": 205,
            "green": 205,
            "red": 205
          }
        },
        "higherContrast": {
          "backgroundBase": {
            "alpha": 255,
            "blue": 53,
            "green": 53,
            "red": 53
          },
          "backgroundTintedBase": {
            "alpha": 255,
            "blue": 86,
            "green": 86,
            "red": 86
          },
          "textBase": {
            "alpha": 255,
            "blue": 255,
            "green": 255,
            "red": 255
          },
          "textBrightAccent": {
            "alpha": 255,
            "blue": 96,
            "green": 215,
            "red": 30
          },
          "textSubdued": {
            "alpha": 255,
            "blue": 205,
            "green": 205,
            "red": 205
          }
        },
        "minContrast": {
          "backgroundBase": {
            "alpha": 255,
            "blue": 72,
            "green": 72,
            "red": 72
          },
          "backgroundTintedBase": {
            "alpha": 255,
            "blue": 33,
            "green": 33,
            "red": 33
          },
          "textBase": {
            "alpha": 255,
            "blue": 255,
            "green": 255,
            "red": 255
          },
          "textBrightAccent": {
            "alpha": 255,
            "blue": 255,
            "green": 255,
            "red": 255
          },
          "textSubdued": {
            "alpha": 255,
            "blue": 255,
            "green": 255,
            "red": 255
          }
        }
      }
    }
  }
}

Headers

x-api-key
string
required

Your Scrape Creators API key

Query Parameters

id
string

Spotify podcast id. If you'd prefer to use the URL instead, you can use the url parameter instead.

Example:
3mliji9352UAk3XnWElnDV
url
string

Spotify podcast URL. If you'd prefer to use the id instead, you can use the id parameter instead.

Example:
https://open.spotify.com/show/3mliji9352UAk3XnWElnDV